CudaPatchTable Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
CudaPatchTable Class Reference

CUDA patch table. More...

`#include <cudaPatchTable.h>`

Inheritance diagram for CudaPatchTable:

## Public Member Functions
| ~CudaPatchTable ()
| Destructor. More...
void * | GetPatchArrayBuffer () const
| Returns the cuda memory of the array of Osd::PatchArray buffer. More...
void * | GetPatchIndexBuffer () const
| Returns the cuda memory of the patch control vertices. More...
void * | GetPatchParamBuffer () const
| Returns the cuda memory of the array of Osd::PatchParam buffer. More...

## Static Public Member Functions
static CudaPatchTable * | Create (Far::PatchTable const *patchTable, void *deviceContext=NULL)
| Creator. Returns NULL if error. More...

## Protected Member Functions
| CudaPatchTable ()
bool | allocate (Far::PatchTable const *patchTable)

## Protected Attributes
void * | _patchArrays
void * | _indexBuffer
void * | _patchParamBuffer

## Detailed Description

CUDA patch table.

This class is a cuda buffer representation of Far::PatchTable.

CudaEvaluator consumes this table to evaluate on the patches.

Definition at line 49 of file cudaPatchTable.h.

## Constructor & Destructor Documentation

~CudaPatchTable | ( |  | ) |

Destructor.

CudaPatchTable | ( |  | ) |
| protected

## Member Function Documentation

bool allocate | ( | Far::PatchTable const * | patchTable | ) |
| protected

static CudaPatchTable* Create | ( | Far::PatchTable const * | patchTable,
|  | void * | deviceContext = `NULL`
| ) |  |
| static

Creator. Returns NULL if error.

void* GetPatchArrayBuffer | ( |  | ) | const
| inline

Returns the cuda memory of the array of Osd::PatchArray buffer.

Definition at line 58 of file cudaPatchTable.h.

void* GetPatchIndexBuffer | ( |  | ) | const
| inline

Returns the cuda memory of the patch control vertices.

Definition at line 61 of file cudaPatchTable.h.

void* GetPatchParamBuffer | ( |  | ) | const
| inline

Returns the cuda memory of the array of Osd::PatchParam buffer.

Definition at line 64 of file cudaPatchTable.h.

## Member Data Documentation

void* _indexBuffer
| protected

Definition at line 72 of file cudaPatchTable.h.

void* _patchArrays
| protected

Definition at line 71 of file cudaPatchTable.h.

void* _patchParamBuffer
| protected

Definition at line 73 of file cudaPatchTable.h.

The documentation for this class was generated from the following file:

- opensubdiv/osd/cudaPatchTable.h